Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Perl5 module to embed a Parrot interpreter into Perl5

branch: master

Fetching latest commit…

Octocat-spinner-32-eaf2f5

Cannot retrieve the latest commit at this time

Octocat-spinner-32 lib
Octocat-spinner-32 t
Octocat-spinner-32 tools
Octocat-spinner-32 Build.PL
Octocat-spinner-32 Changes
Octocat-spinner-32 MANIFEST
Octocat-spinner-32 README
Octocat-spinner-32 TODO
Octocat-spinner-32 typemap
README
Parrot::Embed
-------------

This is an embedding interface to use Parrot from Perl 5.

Be afraid.

INSTALLATION

To install this module, run the following commands:

    perl Build.PL
    perl ./Build
    perl ./Build test
    perl ./Build install

If you're building this within the Parrot tree (that is, if you don't have a
Parrot installed somewhere else), you need to set the proper environment
variable to tell your dynamic linker where to find the F<libparrot.so> or
F<libparrot.dll> or F<libparrot.dylib> file to load.  I believe this is
C<LD_LIBRARY_PATH> on Unix-like systems and C<PATH> on Windows.

COPYRIGHT AND LICENCE

Copyright (C) 2006 - 2008 Parrot Foundation/chromatic

This program is free software; you can redistribute it and/or modify it
under the same terms as Parrot itself.
Something went wrong with that request. Please try again.